use strict;
use warnings;
use bigrat;

open STDIN, '<input.txt';
open STDOUT, '>output.txt';

my $r = 0/1;
for (1..+<>) {
  <> =~ /^(\d+\/\d+)(\.*)/;
  my $k = 2 ** length($2);
  $r += new Math::BigRat($1) * (2 * $k - 1) / $k;
}
print join(' ', $r->parts()), "\n";
