 {$APPTYPE CONSOLE}

uses
  SysUtils;

var
   i: longint;
   n, num, denum, pt, pt_pos: int64;
   up, down, delta_num, delta_denum: int64;
   s: string;

function GCD(a, b: int64): int64;
begin
  while (a * b <> 0) do
    if a > b then
      a := a mod b
    else
      b := b mod a;
   result := a + b;
end;

procedure Add(var a, b, c, d: int64);
var
  gc: integer;
begin
  gc := GCD(a * d + b * c, d * b);
  c := (a * d + b * c) div gc;
  d := d * b div gc;
end;

begin
  reset(input, 'input.txt');
  rewrite(output, 'output.txt');
  readln(n);
  up := 0 ;
  down := 1;
  for i := 1 to n do begin
    readln(s);
    num := StrToInt(copy(s, 1, pos('/',s) - 1));
    pt_pos := pos('.', s);

    if pos('.', s) <> 0 then begin
      pt := Length(s) - pt_pos + 2;
      denum := StrToInt(copy(s, pos('/',s) + 1, pt_pos - pos('/',s) - 1));
    end
    else begin
      pt := 0;
      denum := StrToInt(copy(s, pos('/',s) + 1, length(s) - pos('/',s)));
    end;
    if pt <> 0 then begin
      delta_num := num * (1 shl (pt - 1) - 1);
      delta_denum := denum * (1 shl (pt - 1));
      Add(delta_num, delta_denum, num, denum);
    end;
    Add(num, denum, up, down);
  end;
  write(up, ' ', down);
  close(input);
  close(output);
 end.
