use strict;
use warnings;

open my $fi, "<input.txt";
open my $fo, ">output.txt";

<$fi>;
my @value;

while (my $line = <$fi>) {
	$line =~ /(\d+)\/(\d+)(\.*)/;
	my $t = 0+$2;
	$value[$t] += 0+$1 and $t *= 2 for 0 .. length $3;
}

my $l = -1 + @value;
$value[2*$_] += 2*$value[$_] for 1 .. int $l / 2;

my ($n, $d) = ($value[$l], $l);
($n, $d) = ($d, $n % $d) while $n && $d;
my $gcd = $n + $d;

print $fo $value[$l] / $gcd, " ", $l / $gcd;

close $fi;
close $fo;
